package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.result.WorkResult;
import com.qmth.distributed.print.business.entity.ExamCard;
import com.qmth.distributed.print.business.enums.ExamStatusEnum;

import java.util.Map;

/**
 * <p>
 * 题卡 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamCardService extends IService<ExamCard> {

    /**
     * 查询我的工作台
     *
     * @param iPage
     * @param userId
     * @param schoolId
     * @param status
     * @return
     */
    IPage<WorkResult> queryByMyWork(IPage<Map> iPage, Long userId, Long schoolId, ExamStatusEnum status);

    /**
     * 查询我的工作台-审核待办
     *
     * @param iPage
     * @param userId
     * @param schoolId
     * @param status
     * @return
     */
    IPage<WorkResult> queryByMyWorkSubmit(IPage<Map> iPage, Long userId, Long schoolId, ExamStatusEnum status);
}
